﻿if (!Was.hasResource("download")) {
	Was.addResource("download");

	FileTrans = function() {
	};

	/*
	 * 文件下载 
	 * url 是下载目标文件的url地址，为字符串。 
	 * savepath 文件下载 存放路径
	 * progressCB 是下载进度的回调函数
	 * resultCB 是下载结果的回调函数
	 */
	FileTrans.prototype.download = function(url,path,progressCB,
			resultCB) {
		// alert('download.........');
		Was.exec("download", "download", {
			url : url,path : path
		}, function(args) {
			var progress = args["progress"];
		    if (progress != undefined){
		      progressCB(args["progress"]);   
		    }
		}, function(args){
		    var retCode =args["retCode"];
		      if(retCode!=undefined){
		      //这里不用处理暂停和停止
		         if(retCode==0){
		         //0是finish回调
		            resultCB(args["retCode"],args["path"]);
		         }else if(retCode==1){
		         //1是error回调
		            resultCB(args["retCode"]);
		         }
		      }
		   });
	};
	/*
	 * 暂停文件下载
	 * url 是下载目标文件的url地址，为字符串。 
	 * downloadResultCB 是暂停文件下载结果的回调函数
	 */
	FileTrans.prototype.pauseDownload = function(url, downloadResultCB) {

		Was.exec("download", "pauseDownload", {
			url : url
		}, function(args) {
			downloadResultCB(args["retCode"]);
		}, downloadResultCB);

	};
	/*
	 * 终止文件下载
	 * url 是下载目标文件的url地址，为字符串。
	 * downloadResultCB 是终止文件下载结果的回调函数
	 */
	FileTrans.prototype.stopDownload = function(url, downloadResultCB) {

		Was.exec("download", "stopDownload", {
			url : url
		}, function(args) {
			downloadResultCB(args["retCode"]);
		}, downloadResultCB);

	};

	Was.addPlugin(function() {
		if (typeof Was.downd == "undefined")
			Was.downd = new FileTrans();
	});

};
