﻿if (!Was.hasResource("image")) {
	Was.addResource("image");

	ImageProcessor = function() {
	};

	/*
	 *   获取图片
     *   optionParams   
     *   ( sourceType  数据来源  album/camera
	 *   destinationType 期望的数据类型 
	 *   targetWidth  期望的图片宽度 
	 *   targetHeight  期望的图片高度  (必须和targetWidth配合，同时使用)
	 *   encodingType  期望得到的图片的格式  jpeg/ png )
	 *   quality  图片压缩率  : 0-100 
	 *   resultCB  成功后的回调
	 *   errorCB   失败后的回调
	 */ 
	ImageProcessor.prototype.getPicture = function(optionParams,resultCB,errorCB)
	{
		// alert('get picture.........');
		Was.exec("image", "getPicture", optionParams, 
			function(args) {
			var retPath = args["imageURI"];
			var retDataStr = args["imageData"];
			     if (retPath != undefined){
				       resultCB(args["retPath"]);
			        }else if (retDataStr != undefined){
				       resultCB(args["retDataStr"]);
			        }
		   }, errorCB);
	};
	Was.addPlugin(function() {
		if (typeof Was.image == "undefined")
			Was.image = new ImageProcessor();
	});

};
