if (!Was.hasResource("message")) {
	Was.addResource("message");
    
    
    Message = function() {};
    
    
    Message.prototype.send = function(url,content,heads,successCallback, errorCallback) {
        //alert('in Message.send');
        var _resultCB = function(args){
            var response = args["content"];
            //alert(response);
            successCallback(response);            
        };
        if(heads){
            heads["__content"] = content;
            heads["__url"] = url;
            Was.exec("message","send",heads,_resultCB,errorCallback);
        }
        else{
            Was.exec("message","send",{__content:content,__url:url},_resultCB,errorCallback);
        }
    };

    Message.prototype.getAppBadge = function(resultCB) {
        //alert('in Message.getAppBadge');
        Was.exec("message","getAppBadge",{}
                    ,function(args){
                        resultCB(args["num"]);
                    }
                    ,function(args){
                        resultCB(0);
                    }
        );
    };

    Message.prototype.setAppBadge = function(number) {
        //alert('in Message.setAppBadge');
        Was.exec("message","setAppBadge",{num:number},null,null);
    };
    
    Was.addPlugin(function() {
        if (typeof Was.message == "undefined") Was.message = new Message();
    });
    
};
