﻿ALTER TABLE app_category ADD name_en varchar(30);
ALTER TABLE app_category ADD name_zh_hk varchar(30);
ALTER TABLE app_info ADD app_name_en varchar(30);
ALTER TABLE app_info ADD app_name_zh_hk varchar(30);
ALTER TABLE department ADD name_zh_hk varchar(100);
ALTER TABLE public_srv ADD name_en varchar(100);
ALTER TABLE public_srv ADD name_zh_hk varchar(100);
ALTER TABLE app_info ADD subType varchar(30);

--功能插件      开始-->
create table function_plugin(
  plugin_code varchar(20) primary key  not null,
  icon varchar(200) not null,
  display_name varchar(50) not null,
  config_view varchar(200) not null,
  main_view varchar(200) not null,
  plugin_class varchar(200) not null,
  default_is_on integer not null
);
insert into function_plugin(plugin_code,icon,display_name,config_view,main_view,plugin_class,default_is_on) values("emailAssit","icon_feature_email_assit","邮件助手","com.mibridge.eweixin.portalUI.email.ConfigActivity","com.mibridge.eweixin.portalUI.email.EmailListActivity","com.mibridge.eweixin.portal.email.EmailModule",1);
--功能插件      结束-->


create table public_srv
(
    sid integer primary key not null,
    scode varchar(100),
    name varchar(100) not null,
    descs varchar(2000),
    is_force integer default 0,
    priority integer not null default 0,
    s_update_time iteger not null default 0
);

create table public_srv_menu
(
    sid integer not null,
    level integer not null,
    type integer not null,
    show_text varchar(40) not null,
    value varchar(100)
);

create table need_public_srv
(
    sid integer not null,
    update_time integer not null
);

create table need_public_srv_icon
(
    sid integer not null,
    download_url varchar(200) not null,
    update_time integer not null
);

create table skin_market_info
(
	market_id varchar(100) primary key not null,
    market_uri varchar(200) not null,
    market_path varchar(200) not null,
    market_state integer not null
);



ALTER TABLE department_member ADD short_spell varchar(100);
ALTER TABLE app_info ADD fetchMode varchar(30);
ALTER TABLE app_info ADD badgeUrl varchar(300);
ALTER TABLE app_info ADD fetchUrl varchar(300);
ALTER TABLE app_info ADD receiver varchar(30);


create table dynamic_table_ver
(
	 version integer not null
);

create table user_interaction_lasttime
(
	id integer primary key  not null,
	last_time varchar(200) not null
);


ALTER TABLE department ADD member_count integer not null default 0;

update app_info set c_app_info_version=1;

ALTER TABLE app_info ADD app_desc varchar(100) not null default '';
ALTER TABLE public_srv ADD app_id varchar(30);
