﻿if (!Was.hasResource("file")) {
    Was.addResource("file");
    
    File = function() {};
    
    /*
     * 删除文件
     * @param filepath,要删除文件的路径
     * @param resultCB,结果回调，回调删除结果retCode。
     */
    File.prototype.remove = function(filepath, resultCB) {
        //alert('in File.remove');
        if (filepath == null) {
            resultCB(1);
        }
        else {
            Was.exec("file","delete",{filepath:filepath,needConfirm:0}
                        ,function(args){
                        resultCB(args["retCode"]);
                        }
                        ,resultCB);
        }
    };

    /*
     * 查看文件
     * @param filepath,文件的路径
     */
    File.prototype.viewdoc = function(filepath) {
        //alert('in File.viewdoc');
        Was.exec("file","viewdoc",{filepath:filepath},null,null);
    };

    Was.addPlugin(function() {
        if (typeof Was.file == "undefined") Was.file = new File();
    });
    
};
