﻿if (!Was.hasResource("filetrans")) {
	Was.addResource("filetrans");

    //文件传输类
    FileTrans = function() { };
    
    //文件上传
     FileTrans.prototype.upload = function(filepath,url,resultCallback) {    
        var argsOption = {filepath:filepath,url:url};
        Was.exec("upload","start",argsOption
                ,function(args){
                    var retCode=args.retCode;
                    var bytesSent=args["bytesSent"];
                    var costTime=args["costTime"];
                    var serverResponse=args["serverResponse"];                                                       
                    if(retCode==0){                                               
                        resultCallback(retCode,bytesSent,costTime,serverResponse);
                    }                    
                }
                ,resultCallback
                );
    };    

    //文件上传
    FileTrans.prototype.upload = function(filepath,url,resultCallback) {    
        var argsOption = {filepath:filepath,url:url};
        Was.exec("upload","start",argsOption
                    ,function(args){
                    var retCode=args.retCode;
                    var bytesSent=args["bytesSent"];
                    var costTime=args["costTime"];
                    var serverResponse=args["serverResponse"];                                                       
                    if(retCode==0){                                               
                    resultCallback(retCode,bytesSent,costTime,serverResponse);
                    }                    
                    }
                    ,resultCallback
                    );
    };    

	/*
	 * 文件下载 
	 * url 是下载目标文件的url地址，为字符串。 
	 * savepath 文件下载 存放路径
	 * downloadProgressCB 是下载进度的回调函数
	 * downloadResultCB 是下载结果的回调函数
	 */
	FileTrans.prototype.download = function(url,savepath,downloadProgressCB,
                                            downloadResultCB) {
		// alert('download.........');
		Was.exec("downdload", "start", {
                    url : url,savepath : savepath
                    }, function(args) {
                    var ret = args["retCode"];
                    var prog = args["progress"];
                    if (ret != undefined){
                    downloadResultCB(args["retCode"], args["filePath"],
                                     args["bytesSent"], args["costTime"], args["url"]);
                    }else if (prog != undefined)
                    downloadProgressCB(args["progress"]);
                    }, downloadResultCB);
	};
    
	/*
	 * 暂停文件下载
	 * url 是下载目标文件的url地址，为字符串。 
	 * downloadResultCB 是暂停文件下载结果的回调函数
	 */
	FileTrans.prototype.pauseDownload = function(url, downloadResultCB) {
        
		Was.exec("downdload", "pause", {
                    url : url
                    }, function(args) {
                    downloadResultCB(args["retCode"]);
                    }, downloadResultCB);
        
	};
    
	/*
	 * 终止文件下载
	 * url 是下载目标文件的url地址，为字符串。
	 * downloadResultCB 是终止文件下载结果的回调函数
	 */
	FileTrans.prototype.stopDownload = function(url, downloadResultCB) {
        
		Was.exec("downdload", "stop", {
                    url : url
                    }, function(args) {
                    downloadResultCB(args["retCode"]);
                    }, downloadResultCB);
        
	};
    
    Was.addPlugin(function() {
        if (typeof Was.filetrans == "undefined") Was.filetrans = new FileTrans();
    });
};
