﻿if (!Was.hasResource("upload")) {
	Was.addResource("upload");

	UpFileTrans = function() {
	};

	/*
	 * 文件上传 
	 * url 是下载目标文件的url地址，为字符串。 
	 * savepath 要上传的本地文件的路径
	 * progressCB 是下载进度的回调函数
	 * resultCB 是下载结果的回调函数
	 */
	FileTrans.prototype.upload = function(url,path,progressCB,
			resultCB) {
		// alert('upload.........');
		Was.exec("upload", "upload", {
			url : url,path : path
		}, function(args) {
			var progress = args["progress"];
		    if (progress != undefined){
		      progressCB(args["progress"]);   
		    }
		}, function(args){
		    var retCode =args["retCode"];
		      if(retCode!=undefined){
		      //这里不用处理暂停和停止
		         if(retCode==0){
		         //0是finish回调
		            resultCB(args["retCode"],args["path"]);
		         }else if(retCode==1){
		         //1是error回调
		            resultCB(args["retCode"]);
		         }
		      }
		   });
	};
	/*
	 * 暂停文件上传
	 * url 是下载目标文件的url地址，为字符串。 
	 * downloadResultCB 是暂停文件下载结果的回调函数
	 */
	FileTrans.prototype.pauseUpload = function(url, downloadResultCB) {

		Was.exec("upload", "pauseUpload", {
			url : url
		}, function(args) {
			downloadResultCB(args["retCode"]);
		}, downloadResultCB);

	};
	/*
	 * 终止文件上传
	 * url 是上传目标文件的url地址，为字符串。
	 * downloadResultCB 是终止文件下载结果的回调函数
	 */
	FileTrans.prototype.stopUpload = function(url, downloadResultCB) {

		Was.exec("upload", "stopUpnload", {
			url : url
		}, function(args) {
			downloadResultCB(args["retCode"]);
		}, downloadResultCB);

	};

	Was.addPlugin(function() {
		if (typeof Was.upload == "undefined")
			Was.upload = new UpFileTrans();
	});

};
